Page MenuHomePhabricator

Add support for enabling Related Articles on mobile web stable channel
Closed, ResolvedPublic2 Story Points

Description

As a SWAT deployer, I want the ability to update a configuration file and be able to enable Related Articles on one or more wikis on the stable channel mobile web, so that I can roll out Related Articles to the mobile web.

Acceptance criteria:

  • Add a configuration variable to the codebase which toggles the related articles on mobile web stable.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2016, 7:30 PM
dr0ptp4kt moved this task from Needs Analysis to To Triage on the Readers-Web-Backlog board.
bmansurov updated the task description. (Show Details)Aug 31 2016, 3:14 PM

@dr0ptp4kt - do we need an extra task for the actual move to stable or is it included here?

dr0ptp4kt added a comment.EditedSep 1 2016, 2:29 PM

An extra task or set of tasks is needed for actual move to stable. In T143164: Create rollout plan for related pages on mobile and propose to community it appears a rollout strategy is being considered. This tech is going to be hitting our APIs pretty hard, so you probably want to do it in waves just in case. You should sync up with the engineers to figure out what is both easy in the configuration files yet allows for a wave rollout.

MBinder_WMF set the point value for this task to 2.Sep 6 2016, 4:25 PM

Change 310381 had a related patch set uploaded (by Bmansurov):
Allow blacklisting skins for showing ReadMore in footer

https://gerrit.wikimedia.org/r/310381

@Jdlrobson I've left some questions for you in the patch.

@phuedx this is the task I mentioned during standup.

Change 311051 had a related patch set uploaded (by Bmansurov):
Hygiene: don't load a module unless necessary

https://gerrit.wikimedia.org/r/311051

@ovasileva, @Nirzar, I noticed that after allowing related articles to seen on Mobile web stable, the related articles could use some design love too. This is how it currently looks:

Notice how the articles are not stretched to the page width or how thumbnails have whitespace at the bottom.

Compare it to how related articles look on mobile web beta:

Should we create a follow up task or re-purpose this one to make some design changes?

Jdlrobson added a comment.EditedSep 16 2016, 3:21 PM

When implementing this [the footer] with Nirzar the plan was to release the new footer to stable before pushing related articles.

They're in reverse order now. Would it be possible to just introduce spacing for now until the footer moves to stable. @Nirzar - any other suggestions?

WAIT.. why is it broken? the broken things have nothing to with new footer?

  • the section title font is wrong
  • the paddings are wrong
  • margins are wrong?

what changed? didn't we have this before without new footer?

When implementing this [the footer] with Nirzar the plan was to release the new footer to stable before pushing related articles.

this is true too but as i said, it should not matter for the issues i mentioned above.

okay after my outburst for alignments here ^ @Jdlrobson calmed me down ;)

here's what we talked

  • related pages has a dependency on a new footer
  • according to earlier plans it was thought that new footer will go live before related pages thus the dependency wasn't an issue
  • we suggest sticking to that plan which means solving blockers for new footer before related pages
  • choice is between fixing something (this) which has low shelf life vs fixing new footer blockers and releasing it

bottom line, we cannot release related pages with the issues that we are seeing here and huge thanks for pointed them out @bmansurov

over to @ovasileva to choose the course of action

strong recommendation for releasing new footer and related pages together.

I agree that dependency on the footer is a blocker for related pages. If we decide T144579: Beta footer appears obscured on diff pages is not a blocker for the footer, we can potentially bring the footer work into this sprint. Let's discuss during standup.

Change 311195 had a related patch set uploaded (by Bmansurov):
Beta: Allow displaying Related Articles in the footer

https://gerrit.wikimedia.org/r/311195

@bmansurov: There are test failures and a minor explanatory comment from yours truly on rEMFRa606ffab03ce: Beta: Allow displaying Related Articles in the footer.

Left comments on https://gerrit.wikimedia.org/r/#/c/311195/7 and https://gerrit.wikimedia.org/r/#/c/310381/3 - should be easily remedied so please ping me when you need me to do a follow up review!

I've left comments on both patches @Jdlrobson.

Change 311195 merged by jenkins-bot:
Beta: Allow displaying Related Articles in the footer

https://gerrit.wikimedia.org/r/311195

Change 311051 merged by jenkins-bot:
Perf: don't load a module unless necessary

https://gerrit.wikimedia.org/r/311051

Change 310381 merged by jenkins-bot:
Allow blacklisting skins for showing ReadMore in footer

https://gerrit.wikimedia.org/r/310381

bmansurov removed bmansurov as the assignee of this task.Sep 26 2016, 3:37 PM
bmansurov added a subscriber: bmansurov.
phuedx assigned this task to Jhernandez.Sep 27 2016, 5:05 PM